(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     12619,        387]
NotebookOptionsPosition[     11458,        344]
NotebookOutlinePosition[     12275,        373]
CellTagsIndexPosition[     12232,        370]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "GerlingGraph.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G", "=", 
   RowBox[{"DeleteEdges", "[", 
    RowBox[{
     RowBox[{"Combinatorica`CompleteGraph", "[", "8", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", "7"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.618738280423224*^9, {3.618819287205397*^9, 3.6188193450190988`*^9}, {
   3.624690394225647*^9, 3.624690420870494*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.14644660940672616`,
       0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.8535533905932737, 
      0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5, 1.}, {0.14644660940672627`, 0.8535533905932737}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5, 1.}, {0.14644660940672616`, 0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5, 1.}, {0.8535533905932737, 0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
      0.14644660940672616`, 0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0.8535533905932737,
       0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.14644660940672616`, 0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.8535533905932737, 0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
      0.8535533905932737, 0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 0.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.618738334617719*^9, 3.618819350713109*^9, 
  3.6215866583113513`*^9, 3.62158671468985*^9, 3.6246904328513155`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"BivariatesPolynom1", "[", 
   RowBox[{"G", ",", "x", ",", "y"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.618738293433647*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"16.068`", ",", 
   RowBox[{
    SuperscriptBox["x", "8"], "-", 
    RowBox[{"2616", " ", "y"}], "+", 
    RowBox[{"3252", " ", "x", " ", "y"}], "-", 
    RowBox[{"2062", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"896", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"304", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    RowBox[{"88", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "+", 
    RowBox[{"3806", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"4190", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2245", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"752", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"154", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"1249", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"962", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"263", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"56", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6187383365521226`*^9, 3.618819369136741*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"BivariatesPolynom2", "[", 
   RowBox[{"G", ",", "x", ",", "y"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.618738303604865*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.21899999999999825`", ",", 
   RowBox[{
    SuperscriptBox["x", "8"], "-", 
    RowBox[{"2616", " ", "y"}], "+", 
    RowBox[{"3252", " ", "x", " ", "y"}], "-", 
    RowBox[{"2062", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"896", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"304", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    RowBox[{"88", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "+", 
    RowBox[{"3806", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"4190", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2245", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"752", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"154", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"1249", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"962", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"263", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"56", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6187383375349245`*^9, 3.618819369635942*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"BivariatesPolynom3", "[", 
    RowBox[{"G", ",", "x", ",", "y"}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.618738316818088*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"155.05`", ",", 
   RowBox[{
    SuperscriptBox["x", "8"], "-", 
    RowBox[{"2616", " ", "y"}], "+", 
    RowBox[{"3252", " ", "x", " ", "y"}], "-", 
    RowBox[{"2062", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"896", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"304", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    RowBox[{"88", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "-", 
    RowBox[{"24", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "+", 
    RowBox[{"3806", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"4190", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2245", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"752", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"154", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"1249", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"962", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"263", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"56", " ", 
     SuperscriptBox["y", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6187383391261272`*^9, 3.618819524965415*^9}]
}, Open  ]]
},
WindowSize->{707, 761},
WindowMargins->{{233, Automatic}, {44, Automatic}},
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{32000, 32000},
PageHeaders->{{None, None, None}, {None, None, None}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{False, False},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.4399999999999, 830.04}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 58, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[640, 25, 650, 18, 52, "Input"],
Cell[1293, 45, 5280, 145, 375, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6610, 195, 180, 4, 31, "Input"],
Cell[6793, 201, 1387, 39, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8217, 245, 180, 4, 31, "Input"],
Cell[8400, 251, 1400, 39, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9837, 295, 215, 5, 31, "Input"],
Cell[10055, 302, 1387, 39, 55, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
