(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10216,        334]
NotebookOptionsPosition[      9058,        291]
NotebookOutlinePosition[      9874,        320]
CellTagsIndexPosition[      9831,        317]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "GerlingGraph.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G1", "=", 
   RowBox[{"DeleteEdge", "[", 
    RowBox[{
     RowBox[{"Combinatorica`CompleteGraph", "[", "4", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161513579527073`*^9, 3.616151394581572*^9}, {
  3.6193513113286304`*^9, 3.6193513127950335`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 0.}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.616151395720374*^9, {3.616219055547352*^9, 3.6162190747538967`*^9}, 
   3.6187439730998836`*^9, 3.618744500175208*^9, 3.618744537365674*^9, {
   3.619351303606617*^9, 3.619351313777835*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"Koeffizient1", "[", 
    RowBox[{"G1", ",", "3", ",", "x", ",", "y"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6161514044095893`*^9, 3.61615142199082*^9}, {
   3.618743956361054*^9, 3.6187439594498596`*^9}, 3.618744482281977*^9, 
   3.6193513168354406`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.14100000000000001`", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "y"}], "+", 
    RowBox[{"2", " ", "x", " ", "y"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.616151409916399*^9, 3.616151423238822*^9}, {
   3.6162190572661285`*^9, 3.616219076523924*^9}, 3.6187439748626866`*^9, 
   3.6187445014700108`*^9, 3.6187445388008766`*^9, {3.6193513061026216`*^9, 
   3.6193513173814416`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G2", "=", 
   RowBox[{"DeleteEdges", "[", 
    RowBox[{
     RowBox[{"Combinatorica`CompleteGraph", "[", "6", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.61935132788026*^9, 3.6193513909355707`*^9}, {
  3.619351444537265*^9, 3.6193514455356665`*^9}, {3.6246992613230076`*^9, 
  3.6246992748960314`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {0.24999999999999978`, 
      0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {0.7499999999999997, 
      0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0.24999999999999978`,
       0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0.7499999999999997, 
      0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.24999999999999978`, 0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.7499999999999997, 0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.24999999999999978`, 0.06698729810778081}, {
      0.7499999999999997, 0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.24999999999999978`, 0.06698729810778081}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.9330127018922193}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.2500000000000001, 0.9330127018922194}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.24999999999999978`, 0.06698729810778081}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7499999999999997, 0.06698729810778048}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.05, 1.05}, {0.016987298107780477`, 0.9830127018922195}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.6193513633391223`*^9, 3.619351391606372*^9}, 
   3.619351447017669*^9, 3.624699276705635*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"Koeffizient1", "[", 
    RowBox[{"G2", ",", "3", ",", "x", ",", "y"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6193513737911406`*^9, 3.6193513743059416`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"35.459`", ",", 
   RowBox[{
    RowBox[{"19", " ", "y"}], "+", 
    RowBox[{"25", " ", "x", " ", "y"}], "-", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["y", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.619351375647544*^9, 3.6193514845513353`*^9}]
}, Open  ]]
},
WindowSize->{701, 761},
WindowMargins->{{Automatic, 62}, {Automatic, 24}},
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{32000, 32000},
PageHeaders->{{None, None, None}, {None, None, None}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{False, False},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.4399999999999, 830.04}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 58, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[640, 25, 380, 9, 31, "Input"],
Cell[1023, 36, 2080, 69, 375, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3140, 110, 350, 8, 31, "Input"],
Cell[3493, 120, 445, 10, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3975, 135, 612, 16, 31, "Input"],
Cell[4590, 153, 3588, 106, 331, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8215, 264, 251, 6, 31, "Input"],
Cell[8469, 272, 573, 16, 33, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
