(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9788,        328]
NotebookOptionsPosition[      8631,        285]
NotebookOutlinePosition[      9447,        314]
CellTagsIndexPosition[      9404,        311]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "GerlingGraph.m"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G1", "=", 
   RowBox[{"DeleteEdge", "[", 
    RowBox[{
     RowBox[{"Combinatorica`CompleteGraph", "[", "4", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6161518536007776`*^9, 3.6161518787636213`*^9}, 
   3.6193515147997885`*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 0.}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 1.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.6161518796528234`*^9, 3.616151897686455*^9}, 
   3.61621932362247*^9, 3.616219398929877*^9, 3.6187440250359745`*^9, 
   3.619351515267789*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"Koeffizient2", "[", 
    RowBox[{"G1", ",", "3", ",", "x", ",", "y"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.61615190071286*^9, 3.6161519311173134`*^9}, 
   3.6187440289047813`*^9, 3.6193515183409944`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.4209999999999968`", ",", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", "y"}], "+", 
    RowBox[{"2", " ", "x", " ", "y"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.616151933706918*^9, 3.616219325815004*^9, 
  3.616219401162411*^9, 3.6187440301527834`*^9, 3.619351519074196*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G2", "=", 
   RowBox[{"DeleteEdge", "[", 
    RowBox[{
     RowBox[{"DeleteEdge", "[", 
      RowBox[{
       RowBox[{"DeleteEdge", "[", 
        RowBox[{
         RowBox[{"Combinatorica`CompleteGraph", "[", "6", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}]}], "]"}]}], "]"}]], "Input"],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {0.24999999999999978`, 
      0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {0.7499999999999997, 
      0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.75, 0.9330127018922193}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0.24999999999999978`,
       0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {0.7499999999999997, 
      0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2500000000000001, 0.9330127018922194}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.24999999999999978`, 0.06698729810778081}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.7499999999999997, 0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0., 0.5}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.24999999999999978`, 0.06698729810778081}, {
      0.7499999999999997, 0.06698729810778048}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.24999999999999978`, 0.06698729810778081}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.9330127018922193}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.2500000000000001, 0.9330127018922194}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.24999999999999978`, 0.06698729810778081}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7499999999999997, 0.06698729810778048}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.05, 1.05}, {0.016987298107780477`, 0.9830127018922195}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{3.6193515280598116`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"Koeffizient2", "[", 
    RowBox[{"G2", ",", "3", ",", "x", ",", "y"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6193515408518343`*^9, 3.619351541335435*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"208.558`", ",", 
   RowBox[{
    RowBox[{"19", " ", "y"}], "+", 
    RowBox[{"25", " ", "x", " ", "y"}], "-", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["y", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.619351754463009*^9}]
}, Open  ]]
},
WindowSize->{707, 761},
WindowMargins->{{Automatic, 97}, {24, Automatic}},
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{32000, 32000},
PageHeaders->{{None, None, None}, {None, None, None}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{False, False},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.4399999999999, 830.04}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 58, 1, 31, "Input"],
Cell[CellGroupData[{
Cell[640, 25, 357, 9, 31, "Input"],
Cell[1000, 36, 2030, 68, 375, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3067, 109, 300, 7, 31, "Input"],
Cell[3370, 118, 331, 8, 30, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3738, 131, 519, 15, 72, "Input"],
Cell[4260, 148, 3516, 105, 331, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7813, 258, 249, 6, 31, "Input"],
Cell[8065, 266, 550, 16, 33, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
