(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     70014,       2080]
NotebookOptionsPosition[     67256,       1983]
NotebookOutlinePosition[     68268,       2017]
CellTagsIndexPosition[     68225,       2014]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "GerlingGraph.m"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ShowGraph", "[", 
   RowBox[{"G1", "=", 
    RowBox[{"Combinatorica`Star", "[", "3", "]"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.6224460964609966`*^9, 3.622446112170224*^9}, {
   3.6224461953027697`*^9, 3.6224462028375835`*^9}, {3.622446384733903*^9, 
   3.6224463853423033`*^9}, {3.6224493883631783`*^9, 
   3.6224493918107843`*^9}, {3.622882647955758*^9, 3.622882652339366*^9}, 
   3.6247001519255686`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynom1", "[", 
    RowBox[{"G1", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622452543271118*^9, 3.6224525578103437`*^9}, {
  3.6224526099924355`*^9, 3.6224526179484496`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.15600000000000008`", ",", 
   RowBox[{
    SuperscriptBox["x", "3"], "+", "y", "-", 
    RowBox[{"2", " ", "x", " ", "y"}], "-", 
    RowBox[{"2", " ", "y", " ", "z"}], "+", 
    RowBox[{"2", " ", "x", " ", "y", " ", "z"}], "+", 
    RowBox[{"y", " ", 
     SuperscriptBox["z", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6224526432984943`*^9, 3.622882656956974*^9, 
  3.6229657112879353`*^9, 3.6229658345905523`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynom2", "[", 
    RowBox[{"G1", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6224525940024076`*^9, 3.622452594720009*^9}, {
  3.6224526289620686`*^9, 3.6224526366060824`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.4050000000000001`", ",", 
   RowBox[{
    SuperscriptBox["x", "3"], "+", "y", "-", 
    RowBox[{"2", " ", "x", " ", "y"}], "-", 
    RowBox[{"2", " ", "y", " ", "z"}], "+", 
    RowBox[{"2", " ", "x", " ", "y", " ", "z"}], "+", 
    RowBox[{"y", " ", 
     SuperscriptBox["z", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6224526464809*^9, 3.6228826600769796`*^9, 
  3.622965714345541*^9, 3.6229658358541546`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomAzyklisch", "[", 
    RowBox[{"G1", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6229659821512113`*^9, 3.6229659841636147`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.01599999999999999`", ",", 
   RowBox[{
    SuperscriptBox["x", "3"], "+", "y", "-", 
    RowBox[{"2", " ", "x", " ", "y"}], "-", 
    RowBox[{"2", " ", "y", " ", "z"}], "+", 
    RowBox[{"2", " ", "x", " ", "y", " ", "z"}], "+", 
    RowBox[{"y", " ", 
     SuperscriptBox["z", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6229659857236176`*^9, 3.6229660362209063`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomWald", "[", 
    RowBox[{"G1", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622449440170869*^9, 3.622449460528905*^9}, 
   3.62245173003929*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.015999999999999907`", ",", 
   RowBox[{
    SuperscriptBox["x", "3"], "+", "y", "-", 
    RowBox[{"2", " ", "x", " ", "y"}], "-", 
    RowBox[{"2", " ", "y", " ", "z"}], "+", 
    RowBox[{"2", " ", "x", " ", "y", " ", "z"}], "+", 
    RowBox[{"y", " ", 
     SuperscriptBox["z", "2"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.6224494609813056`*^9, 3.6224499771306124`*^9, 3.622451732831695*^9, 
   3.6228826640393867`*^9, 3.6229657165763445`*^9, 3.6229658365717554`*^9, 
   3.622965990544026*^9, {3.6229660376249084`*^9, 3.6229660399025126`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G2", "=", 
   RowBox[{"AddEdge", "[", 
    RowBox[{
     RowBox[{"AddEdge", "[", 
      RowBox[{
       RowBox[{"AddEdge", "[", 
        RowBox[{
         RowBox[{"EmptyGraph", "[", "5", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.622446232602435*^9, 3.6224462854397283`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.645841624856078, 0.9749143690630834}, {0.07280133647277633, 
      0.788722292632364}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.645841624856078, 0.9749143690630834}, {0.07280133647277622, 
      0.18619207643071953`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.6458416248560779, 0.}, {1., 0.4874571845315417}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.645841624856078, 0.9749143690630834}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.07280133647277633, 0.788722292632364}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.07280133647277622, 0.18619207643071953`}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6458416248560779, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.4874571845315417}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.022801336472776212`, 1.05}, {-0.05, 1.0249143690630833`}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.6224462462680597`*^9, 3.6224462866253304`*^9}, 
   3.622446396730324*^9, 3.622446842684307*^9, 3.6224494693429203`*^9, 
   3.6224499965526466`*^9, 3.6224517347192984`*^9, 3.62245266378133*^9, 
   3.6228826673933926`*^9, 3.6229657177463465`*^9, 3.622965837507757*^9, 
   3.6229659953332343`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynom1", "[", 
    RowBox[{"G2", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622452694372984*^9, 3.6224526948253846`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"5.788`", ",", 
   RowBox[{
    SuperscriptBox["x", "5"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.62245271502742*^9, 3.622882680793816*^9, 
  3.6229658472733746`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynom2", "[", 
    RowBox[{"G2", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622452698428991*^9, 3.622452700784595*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"26.988`", ",", 
   RowBox[{
    SuperscriptBox["x", "5"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6224527694247155`*^9, 3.6228827381551166`*^9, 
  3.6229658742926216`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomAzyklisch", "[", 
    RowBox[{"G2", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622966018967276*^9, 3.6229660223836823`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.07800000000000007`", ",", 
   RowBox[{
    SuperscriptBox["x", "5"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6229660243804855`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomWald", "[", 
    RowBox[{"G2", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6224495298242264`*^9, 3.622449530214227*^9}, 
   3.622451746044918*^9, {3.622966003757249*^9, 3.622966008016057*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.06199999999999999`", ",", 
   RowBox[{
    SuperscriptBox["x", "5"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6224494910425587`*^9, 3.6224495335526333`*^9, 
  3.6224499991266513`*^9, 3.622451746715719*^9, 3.622882738248717*^9, 
  3.622965874339422*^9, 3.6229660256596875`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G3", "=", 
   RowBox[{"AddEdges", "[", 
    RowBox[{
     RowBox[{"Combinatorica`GraphUnion", "[", 
      RowBox[{
       RowBox[{"Combinatorica`Path", "[", "2", "]"}], ",", 
       RowBox[{"EmptyGraph", "[", "4", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "4"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6229672589158535`*^9, 3.6229673678508453`*^9}, {
  3.6229675104350953`*^9, 3.622967588856433*^9}, {3.6246999638360386`*^9, 
  3.624699975660859*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.16666666666666666`, 0.}, {0.3333333333333333, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.16666666666666666`, 0.}, {0.8333333333333333, 
      0.3333333333333333}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.16666666666666666`, 0.}, {0.6666666666666666, 
      0.16666666666666666`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8333333333333333, 0.}, {1., 0.16666666666666666`}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.16666666666666666`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.3333333333333333, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8333333333333333, 0.3333333333333333}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6666666666666666, 0.16666666666666666`}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8333333333333333, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.16666666666666666`}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.11666666666666665`, 1.05}, {-0.05, 0.3833333333333333}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.622967327321974*^9, 3.622967368443646*^9}, 
   3.6229675898704348`*^9, 3.62469997631606*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynom1", "[", 
    RowBox[{"G3", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6229673884584813`*^9, 3.6229673888172817`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"73.586`", ",", 
   RowBox[{
    SuperscriptBox["x", "6"], "-", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    SuperscriptBox["y", "2"], "-", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", "z"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.622967670054576*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomAzyklisch", "[", 
    RowBox[{"G3", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6229676095888696`*^9, 3.62296760979167*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.14100000000000595`", ",", 
   RowBox[{
    SuperscriptBox["x", "6"], "-", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    SuperscriptBox["y", "2"], "-", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", "z"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.622967670241776*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomWald", "[", 
    RowBox[{"G3", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622967620555689*^9, 3.6229676210236893`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.07799999999999366`", ",", 
   RowBox[{
    SuperscriptBox["x", "6"], "-", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "+", 
    SuperscriptBox["y", "2"], "-", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", "z"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"9", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"3", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6229676703353767`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ShowGraph", "[", 
  RowBox[{"G4", "=", 
   RowBox[{"AddEdges", "[", 
    RowBox[{
     RowBox[{"Combinatorica`GraphUnion", "[", 
      RowBox[{
       RowBox[{"Combinatorica`Path", "[", "6", "]"}], ",", 
       RowBox[{"EmptyGraph", "[", "5", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"2", ",", "10"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"7", ",", "11"}], "}"}]}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.6224485478165016`*^9, 3.6224487292292204`*^9}, {
  3.6224495571866746`*^9, 3.622449557826276*^9}, {3.6224500952772193`*^9, 
  3.622450098506425*^9}, {3.6229672445794287`*^9, 3.622967244985029*^9}, {
  3.6246999816668696`*^9, 3.6246999950828934`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.05693725839087266, 0.}, {0.11387451678174532`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.11387451678174532`, 0.}, {0.17081177517261797`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.17081177517261797`, 0.}, {0.22774903356349063`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.22774903356349063`, 0.}, {0.2846862919543633, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.2846862919543633, 0.}, {0.34162355034523595`, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.05693725839087266, 0.}, {0.6832471006904719, 
      0.2694461098455023}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.05693725839087266, 0.}, {0.6832471006904719, 
      0.06360759819641393}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.11387451678174532`, 0.}, {0.8790111584988334, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8790111584988334, 0.3330537080419162}, {1., 
      0.1665268540209581}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.05693725839087266, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.11387451678174532`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.17081177517261797`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.22774903356349063`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.2846862919543633, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.34162355034523595`, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8790111584988334, 0.3330537080419162}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6832471006904719, 0.2694461098455023}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6832471006904719, 0.06360759819641393}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8790111584988334, 0.}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.1665268540209581}]}, 
     {GrayLevel[0]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.006937258390872655, 1.05}, {-0.05, 0.3830537080419162}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.622448565038932*^9, {3.6224486166282225`*^9, 3.6224487296816216`*^9}, 
   3.6224495588870773`*^9, 3.622451748104122*^9, 3.622452796225563*^9, 
   3.622882738326717*^9, 3.622965874401822*^9, 3.6229660449257216`*^9, 
   3.6229672484326353`*^9, 3.624699996221695*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomAzyklisch", "[", 
    RowBox[{"G4", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622452756055492*^9, 3.6224527565078926`*^9}, {
  3.6229660484357276`*^9, 3.6229660511033325`*^9}, {3.6229672513342404`*^9, 
  3.622967251708641*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"87.329`", ",", 
   RowBox[{
    SuperscriptBox["x", "11"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "-", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "7"], " ", "y"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "8"], " ", "y"}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "9"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"11", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"26", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"47", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"17", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"35", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"52", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"53", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"33", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"15", " ", "x", " ", 
     SuperscriptBox["y", "4"]}], "-", 
    RowBox[{"22", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"]}], "+", 
    SuperscriptBox["y", "5"], "-", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "5"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "-", 
    RowBox[{"42", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", "z"}], "+", 
    RowBox[{"45", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", "z"}], "-", 
    RowBox[{"40", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", "z"}], "+", 
    RowBox[{"30", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", "z"}], "-", 
    RowBox[{"18", " ", 
     SuperscriptBox["x", "8"], " ", "y", " ", "z"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "9"], " ", "y", " ", "z"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"32", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"77", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"156", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"205", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"188", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"123", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"54", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"32", " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"119", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "-", 
    RowBox[{"210", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"260", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "-", 
    RowBox[{"212", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"99", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"90", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "+", 
    RowBox[{"110", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "5"], " ", "z"}], "+", 
    RowBox[{"10", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"105", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"90", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"60", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"30", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "8"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"112", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"231", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"390", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"410", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"282", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"123", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"112", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"357", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"525", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"318", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"99", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"225", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"220", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"96", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"20", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"56", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"90", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"40", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"224", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"385", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"410", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"188", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"224", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"595", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"700", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"212", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"33", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"140", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"300", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"220", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"20", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"20", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"70", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"105", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"45", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"126", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"280", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"385", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"390", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"205", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"47", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"280", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"595", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"525", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"260", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"53", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"225", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"110", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"10", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"56", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"42", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"126", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"224", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"231", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"156", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"224", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"357", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"210", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"52", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"90", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"22", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"112", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"77", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"26", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"112", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"119", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"35", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"28", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"15", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "-", 
    RowBox[{"32", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"11", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "-", 
    RowBox[{"32", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"17", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "8"]}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "9"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.6224527696899157`*^9, 3.6229661402914886`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Timing", "[", 
  RowBox[{"Expand", "[", 
   RowBox[{"TrivariatesPolynomWald", "[", 
    RowBox[{"G4", ",", "x", ",", "y", ",", "z"}], "]"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.622449592208736*^9, 3.622449592598737*^9}, 
   3.6224517617073455`*^9, {3.622967254017445*^9, 3.6229672543606453`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"13.665999999999997`", ",", 
   RowBox[{
    SuperscriptBox["x", "11"], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y"}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"], " ", "y"}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["x", "4"], " ", "y"}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "5"], " ", "y"}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "6"], " ", "y"}], "-", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "7"], " ", "y"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "8"], " ", "y"}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "9"], " ", "y"}], "-", 
    SuperscriptBox["y", "2"], "+", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"11", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"26", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"47", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"]}], "-", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"17", " ", "x", " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"35", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"52", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"]}], "+", 
    RowBox[{"53", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"33", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"]}], "-", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"15", " ", "x", " ", 
     SuperscriptBox["y", "4"]}], "-", 
    RowBox[{"22", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"]}], "+", 
    SuperscriptBox["y", "5"], "-", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "5"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", "z"}], "-", 
    RowBox[{"42", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", "z"}], "+", 
    RowBox[{"45", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", "z"}], "-", 
    RowBox[{"40", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", "z"}], "+", 
    RowBox[{"30", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", "z"}], "-", 
    RowBox[{"18", " ", 
     SuperscriptBox["x", "8"], " ", "y", " ", "z"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "9"], " ", "y", " ", "z"}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"32", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"77", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"156", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"205", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"188", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "+", 
    RowBox[{"123", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"54", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"], " ", "z"}], "-", 
    RowBox[{"32", " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"119", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "-", 
    RowBox[{"210", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"260", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "-", 
    RowBox[{"212", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"99", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"90", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "+", 
    RowBox[{"110", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", "z"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "5"], " ", "z"}], "+", 
    RowBox[{"10", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", "z"}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"105", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"90", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"60", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"30", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "8"], " ", "y", " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"112", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"231", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"390", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"410", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"282", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"123", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"27", " ", 
     SuperscriptBox["x", "7"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"112", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"357", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"525", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"318", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"99", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"225", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"220", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"96", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "2"]}], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"20", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "2"]}], "-", 
    RowBox[{"56", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"90", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"40", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "7"], " ", "y", " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"224", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"385", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"410", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"188", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "6"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"224", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"595", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"700", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"520", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"212", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"33", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"140", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"300", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"220", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"64", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "3"]}], "-", 
    RowBox[{"20", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"20", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "3"]}], "+", 
    RowBox[{"70", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"105", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"45", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"10", " ", 
     SuperscriptBox["x", "6"], " ", "y", " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"126", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"280", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"385", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"390", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"205", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"47", " ", 
     SuperscriptBox["x", "5"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"280", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"595", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"525", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"260", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"53", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"140", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"225", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"110", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "4"]}], "+", 
    RowBox[{"15", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"10", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "4"]}], "-", 
    RowBox[{"56", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"42", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"9", " ", 
     SuperscriptBox["x", "5"], " ", "y", " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"126", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"224", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"231", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"156", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"41", " ", 
     SuperscriptBox["x", "4"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"224", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"357", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"210", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"52", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"90", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"22", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "5"]}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"2", " ", "x", " ", 
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "5"]}], "+", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"28", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"7", " ", 
     SuperscriptBox["x", "4"], " ", "y", " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"84", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"112", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"77", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"26", " ", 
     SuperscriptBox["x", "3"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"112", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"119", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"35", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"28", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{"15", " ", "x", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "6"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "5"], " ", 
     SuperscriptBox["z", "6"]}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["x", "3"], " ", "y", " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"36", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "-", 
    RowBox[{"32", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"11", " ", 
     SuperscriptBox["x", "2"], " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "7"]}], "-", 
    RowBox[{"32", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"17", " ", "x", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "4"], " ", 
     SuperscriptBox["z", "7"]}], "+", 
    RowBox[{
     SuperscriptBox["x", "2"], " ", "y", " ", 
     SuperscriptBox["z", "8"]}], "-", 
    RowBox[{"9", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{"4", " ", "x", " ", 
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{"4", " ", 
     SuperscriptBox["y", "3"], " ", 
     SuperscriptBox["z", "8"]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     SuperscriptBox["z", "9"]}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.622449689490507*^9, 3.6224518523171053`*^9, 
  3.622966154035113*^9}]
}, Open  ]]
},
WindowSize->{707, 755},
WindowMargins->{{Automatic, 48}, {-38, Automatic}},
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{32000, 32000},
PageHeaders->{{None, None, None}, {None, None, None}},
PageFooters->{{None, None, None}, {None, None, None}},
PageHeaderLines->{False, False},
PageFooterLines->{False, False},
PrintingOptions->{"FacingPages"->True,
"FirstPageFace"->Right,
"FirstPageFooter"->True,
"FirstPageHeader"->False,
"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{583.4399999999999, 830.04},
"PrintCellBrackets"->False,
"PrintMultipleHorizontalPages"->False,
"PrintRegistrationMarks"->False,
"PrintingMargins"->{{54.000000584999995`, 54.000000584999995`}, {72.00000078, \
72.00000078}}},
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 58, 1, 31, "Input"],
Cell[618, 23, 454, 9, 31, "Input"],
Cell[CellGroupData[{
Cell[1097, 36, 309, 7, 31, "Input"],
Cell[1409, 45, 466, 11, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1912, 61, 309, 7, 31, "Input"],
Cell[2224, 70, 461, 11, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2722, 86, 266, 6, 31, "Input"],
Cell[2991, 94, 417, 10, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3445, 109, 282, 7, 31, "Input"],
Cell[3730, 118, 595, 13, 33, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4362, 136, 561, 16, 31, "Input"],
Cell[4926, 154, 2456, 76, 392, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7419, 235, 256, 6, 31, "Input"],
Cell[7678, 243, 1164, 33, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8879, 281, 254, 6, 31, "Input"],
Cell[9136, 289, 1170, 33, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10343, 327, 264, 6, 31, "Input"],
Cell[10610, 335, 1132, 32, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11779, 372, 331, 7, 31, "Input"],
Cell[12113, 381, 1276, 34, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13426, 420, 726, 19, 72, "Input"],
Cell[14155, 441, 2467, 79, 182, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16659, 525, 258, 6, 31, "Input"],
Cell[16920, 533, 2041, 58, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18998, 596, 263, 6, 31, "Input"],
Cell[19264, 604, 2054, 58, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21355, 667, 259, 6, 31, "Input"],
Cell[21617, 675, 2056, 58, 73, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23710, 738, 896, 22, 72, "Input"],
Cell[24609, 762, 3979, 118, 164, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28625, 885, 368, 8, 31, "Input"],
Cell[28996, 895, 18918, 535, 434, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47951, 1435, 333, 7, 31, "Input"],
Cell[48287, 1444, 18953, 536, 434, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
